UL(1)

NAME
ul - do underlining

SYNOPSIS
ul [ -i ] [ -t terminal ] [ filename... ]

DESCRIPTION

ul reads the named filenames (or the standard input if none are given) and translates occurrences of underscores to the sequence which indicates underlining for the terminal in use, as specified by the environment variable TERM. ul uses the /etc/termcap file to determine the appropriate sequences for underlining. If the terminal is incapable of underlining, but is capable of a standout mode then that is used instead. If the terminal can overstrike, or handles underlining automatically, ul degenerates to cat(1V). If the terminal cannot underline, underlining is ignored.

OPTIONS

-t terminal
    Override the terminal kind specified in the environment. If the terminal cannot underline, underlining is ignored.

-i  Indicate underlining by a separate line containing appropriate dashes `-'; this is useful when you want to look at the underlining which is present in an nroff(1) output stream on a CRT-terminal.

FILES
/etc/termcap

SEE ALSO
cat(1V), colcrt(1), man(1), nroff(1)

BUGS
nroff usually generates a series of backspaces and underlines intermixed with the text to indicate underlining. ul makes attempt to optimize the backward motion.